/*
 * mvs-minfo-provider-service.h
 *
 * This file is part of maevies
 * Copyright (C) 2010 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef _MVS_MINFO_PROVIDER_SERVICE
#define _MVS_MINFO_PROVIDER_SERVICE

#include <glib-object.h>

G_BEGIN_DECLS

#define MVS_TYPE_MINFO_PROVIDER_SERVICE mvs_minfo_provider_service_get_type()
#define MVS_MINFO_PROVIDER_SERVICE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MVS_TYPE_MINFO_PROVIDER_SERVICE, MvsMInfoProviderService))
#define MVS_MINFO_PROVIDER_SERVICE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MVS_TYPE_MINFO_PROVIDER_SERVICE, MvsMInfoProviderServiceClass))
#define MVS_IS_MINFO_PROVIDER_SERVICE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MVS_TYPE_MINFO_PROVIDER_SERVICE))
#define MVS_IS_MINFO_PROVIDER_SERVICE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MVS_TYPE_MINFO_PROVIDER_SERVICE))
#define MVS_MINFO_PROVIDER_SERVICE_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MVS_TYPE_MINFO_PROVIDER_SERVICE, MvsMInfoProviderServiceClass))

typedef struct _MvsMInfoProviderServicePrivate MvsMInfoProviderServicePrivate;

typedef struct {
        GObject parent;

        /* <private> */
        MvsMInfoProviderServicePrivate *priv;
} MvsMInfoProviderService;

typedef struct {
        GObjectClass parent_class;
} MvsMInfoProviderServiceClass;

GType mvs_minfo_provider_service_get_type (void);
MvsMInfoProviderService* mvs_minfo_provider_service_new (DBusGConnection *connection);

G_END_DECLS

#endif /* _MVS_MINFO_PROVIDER_SERVICE */
