/*
 * mvs-tmdb-movie-service.h
 *
 * This file is part of maevies
 * Copyright (C) 2010 Simón Pena <spenap@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 */

#ifndef _MVS_TMDB_MOVIE_SERVICE
#define _MVS_TMDB_MOVIE_SERVICE

#include <glib-object.h>
#include "mvs-tmdb-movie.h"

G_BEGIN_DECLS

#define MVS_TYPE_TMDB_MOVIE_SERVICE mvs_tmdb_movie_service_get_type()
#define MVS_TMDB_MOVIE_SERVICE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), MVS_TYPE_TMDB_MOVIE_SERVICE, MvsTmdbMovieService))
#define MVS_TMDB_MOVIE_SERVICE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), MVS_TYPE_TMDB_MOVIE_SERVICE, MvsTmdbMovieServiceClass))
#define MVS_IS_TMDB_MOVIE_SERVICE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MVS_TYPE_TMDB_MOVIE_SERVICE))
#define MVS_IS_TMDB_MOVIE_SERVICE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), MVS_TYPE_TMDB_MOVIE_SERVICE))
#define MVS_TMDB_MOVIE_SERVICE_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), MVS_TYPE_TMDB_MOVIE_SERVICE, MvsTmdbMovieServiceClass))

typedef struct _MvsTmdbMovieServicePrivate MvsTmdbMovieServicePrivate;

typedef struct {
        GObject parent;

        /* <private> */
        MvsTmdbMovieServicePrivate *priv;
} MvsTmdbMovieService;

typedef struct {
        GObjectClass parent_class;
} MvsTmdbMovieServiceClass;

GType mvs_tmdb_movie_service_get_type (void);
MvsTmdbMovieService* mvs_tmdb_movie_service_new (DBusGConnection *connection,
                MvsTmdbMovie *movie, const gchar *suffix);

G_END_DECLS

#endif /* _MVS_TMDB_MOVIE_SERVICE */
